summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-office/libreoffice/libreoffice-7.0.9999.ebuild')
-rw-r--r--app-office/libreoffice/libreoffice-7.0.9999.ebuild5
1 files changed, 5 insertions, 0 deletions
diff --git a/app-office/libreoffice/libreoffice-7.0.9999.ebuild b/app-office/libreoffice/libreoffice-7.0.9999.ebuild
index 79ca095f21b..c04d5929a50 100644
--- a/app-office/libreoffice/libreoffice-7.0.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-7.0.9999.ebuild
@@ -634,6 +634,11 @@ EOF
dosym ../../../../${loprogdir}/__pycache__/${pyc} $(python_get_sitedir)/__pycache__/${pyc}
done < <(find "${D}"${lodir}/program -type f -name ${py/.py/*.pyc} -print0)
done
+
+ # bug 709450
+ mkdir -p "${ED}"/usr/share/metainfo || die
+ mv "${ED}"/usr/share/appdata/* "${ED}"/usr/share/metainfo/ || die
+ rmdir "${ED}"/usr/share/appdata || die
}
pkg_postinst() {